Subject: Re: [PATCH v2 net-next 0/10] pds_core: Various improvements and AQ race condition cleanup

From: Jakub Kicinski <[email-masked]>
Date: Mon, 29 Jan 2024 12:05:42 -0800

On Mon, 29 Jan 2024 09:27:21 -0800 Brett Creeley wrote:
> > On Fri, 26 Jan 2024 09:42:45 -0800 Brett Creeley wrote:  
> >> This series includes the following changes:
> >>
> >> There can be many users of the pds_core's adminq. This includes
> >> pds_core's uses and any clients that depend on it. When the pds_core
> >> device goes through a reset for any reason the adminq is freed
> >> and reconfigured. There are some gaps in the current implementation
> >> that will cause crashes during reset if any of the previously mentioned
> >> users of the adminq attempt to use it after it's been freed.
> >>
> >> Issues around how resets are handled, specifically regarding the driver's
> >> error handlers.  
> > 
> > Patches 1, 2 and 4 look like fixes. Is there any reason these are
> > targeting net-next? If someone deploys this device at scale rare
> > things will happen a lot..  
> 
> No reason, just an oversight on my part. I actually think patches 1, 2, 
> 3, 4, 5, and 9 could all go to net. Unfortunately some of these patches 
> are intertwined (i.e. patch 10 depends on patch 9).
> 
> If I push the previously mentioned patches to net and they get accepted, 
> how soon are fixes typically added to the net-next tree so I can 
> rebase/re-push the remaining patches?

net gets merged into net-next very Thursday, exact timing depends on how
quickly Linus pulls from us.